using System;

namespace Kvalifikacije_12_18
{
    class Program
    {
        static void Main(string[] args)
        {
            string t = Console.ReadLine();
            int levo = 0, desno = 0;
            for (int i = 0, j = t.Length - 1; i < t.Length / 2 && j >= t.Length / 2; i++, j--)
            {
                if (t[i] ==  'b')
                    levo = i;
                if (t[j] == 'b')
                    desno = j;
            }


            int res = Math.Abs(levo - desno);
            Console.WriteLine(Math.Abs(levo - desno));

        }
    }
}